Package org.apache.sling.testing.junit.rules

## Class TestTimeout

- java.lang.Object
- - org.apache.sling.testing.junit.rules.TestTimeout

All Implemented Interfaces:
  `org.junit.rules.TestRule`

    public class TestTimeout
    extends Object
    implements org.junit.rules.TestRule

Rule to timeout a test.

### Constructor Summary

Constructors
`TestTimeout()` Constructor: reads the default timeout value from the "test.timeout.milliseconds" property.
`TestTimeout​(int fMillis)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.junit.runners.model.Statement` `apply​(org.junit.runners.model.Statement base, org.junit.runner.Description description)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestTimeout

    public TestTimeout​(int fMillis)

#### TestTimeout

    public TestTimeout()

Constructor: reads the default timeout value from the "test.timeout.milliseconds" property. If the property doesn't exist or has the value "0", the statement won't timeout.

### Method Detail

#### apply

    public org.junit.runners.model.Statement apply​(org.junit.runners.model.Statement base,
                                                   org.junit.runner.Description description)

Specified by:
  `apply` in interface `org.junit.rules.TestRule`